package example.cmp.relations.many2many;

import java.rmi.*;
import javax.ejb.*;

import java.util.*;

/**
 * Local interface for the student home.
 */
public interface StudentHome extends EJBLocalHome {

  /**
   * Returns the named student.
   */
  Student findByPrimaryKey(String name)
    throws FinderException;

  /**
   * finds all courses for a student
   */
  public Collection findByCourse(String name)
    throws FinderException;

}
