<%@ page import="test.entity.students.*, javax.ejb.*" %>
<%@ page import="javax.naming.*, java.util.*" %>
<%

// The JNDI context containing EJBs
Context ejb = (Context) new InitialContext().lookup("java:comp/env/local-ejb");

// get the house stub
HouseHome home = (HouseHome) ejb.lookup("student_houses");

String []houses = new String[] { "Gryffindor", "Slytherin",
                                 "Ravenclaw", "Hufflepuff" };

for (int i = 0; i < houses.length; i++) {
  // find the remote object
  House house = (House) home.findByPrimaryKey(houses[i]);

  %><h1><%= house.getName() %></h1><%

  Collection students = house.getStudentList();

  Iterator iter = students.iterator();
  while (iter.hasNext()) {
    Student student = (Student) iter.next();

    %><li><%= student.getName() %><%
  }
}
%>
